Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/build-support/rust140/watcher.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2020-04-17 15:31:05 +0200
committerAndreas Baumann <mail@andreasbaumann.cc>2020-04-17 15:31:05 +0200
commitdf28df55eb17170eee0f88bba0be41d038490e3f (patch)
treeb641ed34f0a85467bf0f9bfb11eb3f3f6ab6e661 /build-support/rust140/watcher.sh
parent7de516c1fa86658f184abf44c7e710e328344d33 (diff)
extra/rust140: for building rust 1.40. from 1.39
Diffstat (limited to 'build-support/rust140/watcher.sh')
-rwxr-xr-xbuild-support/rust140/watcher.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/build-support/rust140/watcher.sh b/build-support/rust140/watcher.sh
new file mode 100755
index 00000000..98228b5d
--- /dev/null
+++ b/build-support/rust140/watcher.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+term() {
+ echo "--> Got SIGTERM"
+ echo "--> killing inotifywait with PID $inotifywait"
+ kill -TERM "$inotifywait"
+ sleep 10
+ kill -9 "$inotifywait"
+}
+
+srcdir="$1"
+
+trap term SIGTERM
+
+inotifywait -mr -e close_write --format %w%f $srcdir | while read -r FILE; do
+ case "$FILE" in
+ *consts.rs)
+ echo "--> patching $FILE"
+ sed -i '/pub type U1024/d;/pub type P1024/d' $FILE
+ echo "--> finished patching $FILE"
+ ;;
+ esac
+done &
+inotifywait=$(ps -ef | grep inotifywait | grep -v grep | tr -s ' ' | cut -d ' ' -f2)
+echo "--> waiting for inotifywait $inotifywait"
+wait "$inotifywait"
+echo "--> watcher terminated"